<?php
/**
 * WooCommerce Affilae Settings
 *
 * @author 		Affilae
 * @category 	Admin
 * @package 	WC_Affilae/Admin
 * @version     1.0
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if ( ! class_exists( 'WC_Affilae_Admin_Settings' ) ) :

/**
 * WC_Affilae_Admin_Settings
 */
class WC_Affilae_Admin_Settings extends WC_Settings_Page {

	/**
	 * Constructor.
	 */
	public function __construct() {
		$this->id    = 'wc-affilae';
		$this->label = __( 'Affilae', 'woocommerce-affilae' );

		add_filter( 'woocommerce_settings_tabs_array', array( $this, 'add_settings_page' ), 20 );
		add_action( 'woocommerce_settings_' . $this->id, array( $this, 'output' ) );
		add_action( 'woocommerce_settings_save_' . $this->id, array( $this, 'save' ) );
	}

	/**
	 * Get settings array
	 *
	 * @return array
	 */
	public function get_settings() {

		return apply_filters( 'woocommerce_' . $this->id . '_settings', array(

			array(
				'id'    => 'wc_affilae_options_group_a' ,
				'title' => __( 'Affilae Settings', 'woocommerce-affilae' ),
				'type'  => 'title',
				'desc'  =>  ''
			),

			array(
				'title'    => __( 'Program ID', 'woocommerce-affilae' ),
				'desc'     => __( 'Global Program ID.', 'woocommerce-affilae' ),
				'id'       => 'wc_affilae_program_id',
				'type'     => 'text',
				'default'  => '',
				'desc_tip' =>  true,
			),

			array(
				'type' => 'sectionend',
				'id' => 'wc_affilae_options_group_a'
			),

		)); // End pages settings
	}
}

endif;

return new WC_Affilae_Admin_Settings();