<?php
/**
 * WooCommerce Extension Boilerplate Admin Main Class
 *
 * Adds a setting tab and product meta.
 *
 * @package		WooCommerce Extension Boilerplate
 * @subpackage	WC_Affilae_Admin_Main
 * @category	Class
 * @author		Affilae
 * @since		1.0.0
 */
class WC_Affilae_Admin {

	/**
	 * Bootstraps the class and hooks required actions & filters.
	 *
	 * @since 1.0.0
	 */
	public function __construct() {

		if( ! defined( 'DOING_AJAX' ) ) {

			// Settings Link for Plugin page
			add_filter( 'plugin_action_links_wc-affilae/wc-affilae.php', array( $this, 'add_action_link' ) );

			// Admin Settings via settings API
			add_filter( 'woocommerce_get_settings_pages', array( $this, 'add_settings_page' ) );

		}

	}


	/*-----------------------------------------------------------------------------------*/
	/* Plugins Page */
	/*-----------------------------------------------------------------------------------*/

	/*
	 * 'Settings' link on plugin page
	 *
	 * @param array $links
	 * @return array
	 * @since 1.0
	 */

	public function add_action_link( $links ) {
		$settings_link = '<a href="'.admin_url('admin.php?page=wc-settings&tab=wc-affilae').'" title="'.__('Go to the settings page', 'woocommerce-affilae').'">'.__( 'Settings', 'woocommerce-affilae' ).'</a>';
		return array_merge( (array) $settings_link, $links );

	}

	/*-----------------------------------------------------------------------------------*/
	/* Admin Settings */
	/*-----------------------------------------------------------------------------------*/

	/*
	 * Include the settings page class
	 * compatible with WooCommerce 2.1
	 *
	 * @param array $settings ( the included settings pages )
	 * @return array
	 * @since 1.0.0
	 */
	public function add_settings_page( $settings ) {
		$settings[] = include( 'class-wc-affilae-admin-settings.php' );

		return $settings;
	}

}
